Bug 636552 - "grep: character class syntax is [[:space:]], not [:space:]" printed for every tcsh shell
Summary: "grep: character class syntax is [[:space:]], not [:space:]" printed for ever...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 637845 649995
TreeView+ depends on / blocked
 
Reported: 2010-09-22 14:20 UTC by Nalin Dahyabhai
Modified: 2014-03-17 03:25 UTC (History)
5 users (show)

Fixed In Version: initscripts-9.20.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 637845 649995 (view as bug list)
Environment:
Last Closed: 2010-09-30 06:09:17 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2010-09-22 14:20:35 UTC
Description of problem:
When I log in or open a new terminal window on mostly-current Raw Hide, I'm seeing this message:
grep: character class syntax is [[:space:]], not [:space:]

Version-Release number of selected component (if applicable):
initscripts-9.21-2.fc15.x86_64
grep-2.7-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. su - -s /bin/tcsh [any user name]
or
1. tcsh -x /etc/profile.d/lang.csh
  
Actual results:
grep: character class syntax is [[:space:]], not [:space:]

Expected results:
grep's diagnostic error gone away

Additional info:
This is probably triggered by the grep 2.7 update, but I think the bug's in lang.csh.

Comment 2 Fedora Update System 2010-09-27 20:02:49 UTC
initscripts-9.20.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/initscripts-9.20.1-1.fc14

Comment 3 Fedora Update System 2010-09-28 17:32:38 UTC
initscripts-9.20.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update initscripts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/initscripts-9.20.1-1.fc14

Comment 4 Fedora Update System 2010-09-30 06:08:55 UTC
initscripts-9.20.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.